<!DOCTYPE html>
<html>
<head>
  <title>Adblock Plus extension releases</title>
  <link rel="stylesheet" type="text/css" href="css/common.css">
  <link rel="stylesheet" type="text/css" href="css/release.css">
  <script src="js/utils.js"></script>
  <script src="js/release.js" defer></script>
</head>
<body>

<template id="phase-label">
  <span class="phase-label">
    <span class="phase-planned">Planned</span>
    <span class="phase-development">In development</span>
    <span class="phase-featurefreeze">In feature freeze (testing)</span>
    <span class="phase-codefreeze">In code freeze</span>
    <span class="phase-storereview">In store review</span>
    <span class="phase-closed">Closed</span>
  </span>
</template>

<main>
  <a href="./">
    <button>Home</button>
  </a>
  <h1></h1>
  <span id="platforms"></span>

  <p>
    Status:
    <span id="current"></span>
  </p>

  <p>
    Approvals:
    <span id="approvals">
      <span class="phase-development">
        <span class="approval-label approval-scope">Scope</span>
      </span>
      <span class="phase-featurefreeze">
        <span class="approval-label approval-qa">QA</span>
      </span>
      <span class="phase-codefreeze">
        <span class="approval-label approval-notes">Release notes</span>
      </span>
      <span class="phase-storereview">
        <span class="approval-label approval-google">Chrome</span>
        <span class="approval-label approval-mozilla">Firefox</span>
        <span class="approval-label approval-microsoft">Microsoft Edge</span>
        <span class="approval-label approval-opera">Opera</span>
      </span>
    </span>
  </p>

  <article class="cols">
    <aside>
      <h2>Timeline</h2>

      <div id="progress">
        <div class="phase phase-planned"></div>
        <div class="phase phase-development">
          <div class="milestone">
            Created
            <div class="date"></div>
          </div>
        </div>
        <div class="phase phase-featurefreeze">
          <div class="milestone">
            Feature freeze
            <div class="date"></div>
          </div>
        </div>
        <div class="phase phase-codefreeze">
          <div class="milestone">
            Code freeze
            <div class="date"></div>
          </div>
        </div>
        <div class="phase phase-storereview">
          <div class="milestone">
            Published
            <div class="date"></div>
          </div>
        </div>
        <div class="phase phase-closed">
          <div class="milestone">
            Closed
            <div class="date"></div>
          </div>
        </div>
      </div>
    </aside>

    <section>
      <h2>Scope</h2>

      <ul id="scope"></ul>

      <h2>Announcements</h2>

      <ul id="announcements"></ul>

      <h2>Notes</h2>

      <div class="notes"></div>

      <a id="contents" hidden>Full list of changes</a>

      <h2>Other</h2>

      <details>
        <summary>Full log</summary>
        <pre id="log"></pre>
      </details>
    </section>
  </article>
</main>

</body>
</html>
